Admin/Update Connector
PUT /v1/admin/connectors/{id}

Update Connector

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/connectors/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "connector": {
         "name": "Sales Hotline",
         "type": "phone",
         "value": "+94000000000",
         "team_ids": [
           "ce55fcb6-084d-4b31-bd86-f6dd2195ed6a",
           "ab55fcb6-084d-4b31-bd86-f6dd2195ed6a"
         ],
         "targets": [
           {
             "type": "hangup",
             "value": null,
             "timeslots": null
           },
           {
             "type": "queue",
             "value": "3f55fcb6-084d-4b31-bd86-f6dd2195ed6a"
           }
         ]
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path

Response

connector▾
object
id
string
name
string Connector name (optional)
type
string
value
string
team_ids
array
created_at
string
updated_at
string
targets▾
array
type
string
value
null | object Null when type hangup
timeslots
null | object